import xhiveframework
from xhiveframework.model.utils.rename_field import rename_field


def execute():
	if not xhiveframework.db.has_column("Leave Type", "max_days_allowed"):
		return

	xhiveframework.db.sql(
		"""
		UPDATE `tabLeave Type`
		SET max_days_allowed = '0'
		WHERE trim(coalesce(max_days_allowed, '')) = ''
	"""
	)
	xhiveframework.db.sql_ddl("""ALTER table `tabLeave Type` modify max_days_allowed int(8) NOT NULL""")
	xhiveframework.reload_doc("hr", "doctype", "leave_type")
	rename_field("Leave Type", "max_days_allowed", "max_continuous_days_allowed")

	if xhiveframework.db.has_column("Leave Type", "max_days_allowed"):
		xhiveframework.db.sql("alter table `tabLeave Type` drop column max_days_allowed")
		# clear cache for doctype as it stores table columns in cache
		xhiveframework.clear_cache(doctype="Leave Type")
